sbit LCD_RS at RD2_bit;
sbit LCD_EN at RD3_bit;
sbit LCD_D4 at RD4_bit;
sbit LCD_D5 at RD5_bit;
sbit LCD_D6 at RD6_bit;
sbit LCD_D7 at RD7_bit;

sbit LCD_RS_Direction at TRISD2_bit;
sbit LCD_EN_Direction at TRISD3_bit;
sbit LCD_D4_Direction at TRISD4_bit;
sbit LCD_D5_Direction at TRISD5_bit;
sbit LCD_D6_Direction at TRISD6_bit;
sbit LCD_D7_Direction at TRISD7_bit;
// End LCD module connections

void main()
{
ADCON1  = 0b00000111;               // Configure AN pins as digital I/O
Lcd_Init();                        // Initialize LCD
trisa=0;
trisb=0;
trisc=0;
trise=0;

Lcd_Cmd(_LCD_CLEAR);         //  Limpa o display
Lcd_Cmd(_LCD_CURSOR_OFF);    // Cursor off desliga o cursor
Lcd_Out(1,1" Teste Fatec ");    // escreve na linha 01 coluna 06
Lcd_Out(2,1,"     TESTE FATEC TAUBATE");    // escreve nalinha 02 coluna 06             // Write text in first row
porta=0;
portb=0;
portc=0;
porte=0;

while(1)
      {
        Lcd_Cmd(_LCD_SHIFT_LEFT);    // desloca para esquerda
        delay_ms(500);
        porta=~porta;
        portb=~portb;
        portc=~portc;
        porte=~porte;
      }

}