
_main:

;MyProject.c,16 :: 		void main()
;MyProject.c,20 :: 		ADCON1  = 0b00000111;               // Configure AN pins as digital I/O
	MOVLW      7
	MOVWF      ADCON1+0
;MyProject.c,21 :: 		Lcd_Init();                        // Initialize LCD
	CALL       _Lcd_Init+0
;MyProject.c,22 :: 		trisa=0;
	CLRF       TRISA+0
;MyProject.c,23 :: 		trisb=0;
	CLRF       TRISB+0
;MyProject.c,24 :: 		trisc=0;
	CLRF       TRISC+0
;MyProject.c,25 :: 		trise=0;
	CLRF       TRISE+0
;MyProject.c,27 :: 		Lcd_Cmd(_LCD_CLEAR);         //  Limpa o display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.c,28 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);    // Cursor off desliga o cursor
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.c,29 :: 		Lcd_Out(1,1," Placa Teste");    // escreve na linha 01 coluna 06
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,30 :: 		Lcd_Out(2,1,"       Micro");    // escreve nalinha 02 coluna 06             // Write text in first row
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,31 :: 		porta=0;
	CLRF       PORTA+0
;MyProject.c,32 :: 		portb=0;
	CLRF       PORTB+0
;MyProject.c,33 :: 		portc=0;
	CLRF       PORTC+0
;MyProject.c,34 :: 		porte=0;
	CLRF       PORTE+0
;MyProject.c,35 :: 		delay_ms(1000);
	MOVLW      26
	MOVWF      R11+0
	MOVLW      94
	MOVWF      R12+0
	MOVLW      110
	MOVWF      R13+0
L_main0:
	DECFSZ     R13+0, 1
	GOTO       L_main0
	DECFSZ     R12+0, 1
	GOTO       L_main0
	DECFSZ     R11+0, 1
	GOTO       L_main0
	NOP
;MyProject.c,37 :: 		while(1)
L_main1:
;MyProject.c,39 :: 		x++;
	INCF       main_x_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       main_x_L0+1, 1
;MyProject.c,40 :: 		wordtostr(x,texto);
	MOVF       main_x_L0+0, 0
	MOVWF      FARG_WordToStr_input+0
	MOVF       main_x_L0+1, 0
	MOVWF      FARG_WordToStr_input+1
	MOVLW      main_texto_L0+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.c,41 :: 		lcd_out(2,1,texto);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      main_texto_L0+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,42 :: 		delay_ms(500);
	MOVLW      13
	MOVWF      R11+0
	MOVLW      175
	MOVWF      R12+0
	MOVLW      182
	MOVWF      R13+0
L_main3:
	DECFSZ     R13+0, 1
	GOTO       L_main3
	DECFSZ     R12+0, 1
	GOTO       L_main3
	DECFSZ     R11+0, 1
	GOTO       L_main3
	NOP
;MyProject.c,43 :: 		if(x>100) {x=0; }
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      main_x_L0+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main5
	MOVF       main_x_L0+0, 0
	SUBLW      100
L__main5:
	BTFSC      STATUS+0, 0
	GOTO       L_main4
	CLRF       main_x_L0+0
	CLRF       main_x_L0+1
L_main4:
;MyProject.c,44 :: 		}
	GOTO       L_main1
;MyProject.c,46 :: 		}
	GOTO       $+0
; end of _main
